import requests

from gso import settings


def import_new_router(router_name, oss_params=settings.OSSParams):
    r = requests.post(
        f"{oss_params.RESOURCE_MANAGER_API_PREFIX}" f"/api/interfaces/initialize-router/{router_name}", timeout=10000
    )
    r.raise_for_status()


def next_lag(router_name, oss_params=settings.OSSParams):
    r = requests.post(
        f"{oss_params.RESOURCE_MANAGER_API_PREFIX}" f"/api/interfaces/next-lag/{router_name}", timeout=10000
    )
    r.raise_for_status()
    response = r.json()
    return response["name"]


def next_physical(router_name, lag_name, oss_params=settings.OSSParams):
    # TODO: speed needed (if first interface)
    r = requests.post(
        f"{oss_params.RESOURCE_MANAGER_API_PREFIX}" f"/api/interfaces/next-physical/{router_name}/{lag_name}",
        timeout=10000,
    )
    r.raise_for_status()
    response = r.json()
    return response["name"]
